-- example mappings for HL7 segments
local map = {}

function map.AlterMSH(MSH) 
   MSH[3][1] = 'MyApp'
   MSH[4][1] = 'MyOffice'
   return MSH 
end

function map.AlterPID(PID)
   PID[5][1][2]    = PID[5][1][2]:nodeValue():upper()
   PID[5][1][1][1] = PID[5][1][1][1]:nodeValue():upper()
   PID[15][2]      = 'English'
   return PID
end

return map 